<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') )
	przekierowanie();

$odczytElementow = odczytPlikuWTK('elementy.wtk');
$odczytObszarow  = $odczytElementow['obszary'];

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( !isset($_POST['widocznoscObszaru']) )
		$_POST['widocznoscObszaru'] = 0;

	if ( ID2 == 2 ) {
		$odczytElementow['obszary']['obszarDodatkowy'] = $_POST['tresc'];
		zapisKonf( array( 'obszarDodatkowy' => $_POST['widocznoscObszaru'] ) );
	}
	else {
		$odczytElementow['obszary']['obszarBoczny']    = $_POST['tresc'];
		zapisKonf( array( 'obszarBoczny'    => $_POST['widocznoscObszaru'] ) );
	}

	$odczytObszarow = $odczytElementow['obszary'];  // ponowne pobranie danych w celu odświeżenia

	zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

	komunikat(1);

}

$odczytMotywu = odczytTypuMotywu( 'motywy', odczytKonf('motyw') );
$obsluga = (ID2 == 2) ? $odczytMotywu['mozliwosci']['obszarDodatkowy'] : $odczytMotywu['mozliwosci']['obszarBoczny'];

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Obszar <?php echo ( ID2 == 2 ) ? 'dodatkowy' : 'boczny' ?></h2>

<form method="post">

<?php
if ( !$obsluga ) {
?>
<p class="uwaga">Używany obecnie motyw &bdquo;<?php echo $odczytMotywu['informacje']['nazwa'] ?>&rdquo; nie obsługuje obszaru <?php echo ( ID2 == 2 ) ? 'dodatkowego' : 'bocznego' ?>.</p>
<?php
}
?>

<table>
	<tr> <td><textarea name="tresc" class="polePowiekszone" <?php wylaczElement($obsluga,false) ?> id="edytorWizualny"><?php echo ( ID2 == 2 ) ? htmlspecialchars($odczytObszarow['obszarDodatkowy']) : htmlspecialchars($odczytObszarow['obszarBoczny']) ?></textarea></td> </tr>
	<tr>
		<td><input type="checkbox" name="widocznoscObszaru" value="1" <?php zaznaczCheckbox( odczytKonf( (ID2 == 2) ? 'obszarDodatkowy' : 'obszarBoczny' ) ) ?> <?php wylaczElement($obsluga,false) ?> id="op11" /><label for="op11">Wyświetlaj obszar <?php echo ( ID2 == 2 ) ? 'dodatkowy' : 'boczny' ?> w witrynie</label></td>
	</tr>
</table>

<?php
	// edytor wizualny w trybie tylko do odczytu, gdy dany obszar nie jest wyświetlany
	edytorWizualny( !odczytKonf( (ID2 == 2) ? 'obszarDodatkowy' : 'obszarBoczny') )
?>

<p class="przyciskWysylania"><input type="submit" value="Zapisz obszar <?php echo ( ID2 == 2 ) ? 'dodatkowy' : 'boczny' ?>" <?php wylaczElement($obsluga,false) ?> /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');