<?php
// WizyTówka 4
if (!defined('WT')) exit();


switch($wtEtapPaneluAdmin) {

// ETAP DRUGI panelu administracyjnego ===================================================
	case 2:

		if ( $_POST['szerokoscLewej'] > 90 or $_POST['szerokoscLewej'] < 10 )
			$_POST['szerokoscLewej'] = $wtUstawieniaStrony['szerokoscLewej'];

		if ( !isset($_POST['obszary']['C']) )
			$_POST['obszary']['C'] = $wtUstawieniaStrony['obszary']['C'];
		if ( !isset($_POST['obszary']['D']) )
			$_POST['obszary']['D'] = $wtUstawieniaStrony['obszary']['D'];

		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

// ETAP PIERWSZY panelu administracyjnego ================================================
	case 1:

		$wylaczSekcjeD = ( $wtUstawieniaStrony['ukladStrony']=='1w2kol1w' or $wtUstawieniaStrony['ukladStrony']=='2kol2kol' ) ? false : true;
		$wylaczSekcjeC = ( $wtUstawieniaStrony['ukladStrony']=='2kol' ) ? true : false;
		$listaSekcji   = array( 'A' => 'Sekcja A', 'B' => 'Sekcja B', 'C' => 'Sekcja C', 'D' => 'Sekcja D' );
?>

<style scoped>
	span.uklad { display: inline-block; width: 70%; vertical-align: middle; border: 1px solid currentColor; }
	span.uklad > span:not(.kolumny) { display: inline-block; width: 100%; box-sizing: border-box; }
	span.uklad > span.kolumny { display: table; width: 100%; table-layout: fixed; }
	span.uklad > span.kolumny > span { display: table-cell; }
	span.uklad > span:not(.kolumny), span.kolumny > span { border: 1px solid currentColor; padding: 2px; text-align: center; font-weight: bold; }
</style>

<h3>Ustawienia strony kolumnowej</h3>

<table>
	<tr>
		<td>
			<input type="radio" name="ukladStrony" value="2kol" <?php zaznaczCheckbox( $wtUstawieniaStrony['ukladStrony'], '2kol' ) ?> id="op11" />
			<label for="op11"> <span class="uklad"><span class="kolumny"><span>A</span><span>B</span></span></span> </label>
		</td>
		<td>
			<input type="radio" name="ukladStrony" value="1w2kol" <?php zaznaczCheckbox( $wtUstawieniaStrony['ukladStrony'], '1w2kol' ) ?> id="op12" />
			<label for="op12"> <span class="uklad"><span>A</span><span class="kolumny"><span>B</span><span>C</span></span></span> </label>
		</td>
		<td>
			<input type="radio" name="ukladStrony" value="2kol1w" <?php zaznaczCheckbox( $wtUstawieniaStrony['ukladStrony'], '2kol1w' ) ?> id="op13" />
			<label for="op13"> <span class="uklad"><span class="kolumny"><span>A</span><span>B</span></span><span>C</span></span> </label>
		</td>
		<td>
			<input type="radio" name="ukladStrony" value="1w2kol1w" <?php zaznaczCheckbox( $wtUstawieniaStrony['ukladStrony'], '1w2kol1w' ) ?> id="op14" />
			<label for="op14"> <span class="uklad"><span>A</span><span class="kolumny"><span>B</span><span>C</span></span><span>D</span></span> </label>
		</td>
		<td>
			<input type="radio" name="ukladStrony" value="2kol2kol" <?php zaznaczCheckbox( $wtUstawieniaStrony['ukladStrony'], '2kol2kol' ) ?> id="op15" />
			<label for="op15"> <span class="uklad"><span class="kolumny"><span>A</span><span>B</span></span><span class="kolumny"><span>C</span><span>D</span></span></span> </label>
		</td>
	</tr>
</table>

<table>
	<tr> <td>Zawartość obszaru A:</td> <td><select name="obszary[A]"><?php generujListeWyboru( $listaSekcji, $wtUstawieniaStrony['obszary']['A'] ) ?></select></td> </tr>
	<tr> <td>Zawartość obszaru B:</td> <td><select name="obszary[B]"><?php generujListeWyboru( $listaSekcji, $wtUstawieniaStrony['obszary']['B'] ) ?></select></td> </tr>
	<tr> <td>Zawartość obszaru C:</td> <td><select <?php wylaczElement($wylaczSekcjeC,true) ?> name="obszary[C]"><?php generujListeWyboru( $listaSekcji, $wtUstawieniaStrony['obszary']['C'] ) ?></select></td> </tr>
	<tr> <td>Zawartość obszaru D:</td> <td><select <?php wylaczElement($wylaczSekcjeD,true) ?> name="obszary[D]"><?php generujListeWyboru( $listaSekcji, $wtUstawieniaStrony['obszary']['D'] ) ?></select></td> </tr>
	<tr> <td>Szerokość lewej kolumny (w procentach):</td> <td><input type="number" name="szerokoscLewej" value="<?php echo $wtUstawieniaStrony['szerokoscLewej'] ?>" min="10" max="90" /></td> </tr>
</table>

<?php
		break;
// koniec etapu panelu administracyjnego -------------------------------------------------

}